{
  flake,
  pkgs,
  ...
}:
let
  inherit (flake.config.people) user0;
  vault0Path = ./vault0;
  vault0Settings = {
    appearance = import (vault0Path + "/appearance.nix");
    app = import (vault0Path + "/app.nix");
    # themes = import (vault0Path + "/themes.nix");
    hotkeys = import (vault0Path + "/hotkeys.nix");
    corePlugins = import (vault0Path + "/corePlugins.nix");
    # communityPlugins = import (vault0Path + "/communityPlugins.nix") { inherit pkgs; };
  };
in
{
  home.packages = builtins.attrValues {
    inherit (pkgs)
      obsidian
      ;
  };
  programs.obsidian = {
    enable = false;
    package = pkgs.obsidian;
    vaults = {
      "obsidian" = {
        enable = true;
        target = "/home/${user0}/projects/dotfiles/modules/home/gui/apps/media/docs/docEditing/obsidian/vault0/files";
        settings = vault0Settings;
      };
    };
  };
}
